#home {
    position: relative;
    overflow: hidden;
}

.carousel {
    position: relative;
    max-width: 100%;
    height: 100%;
}

.slide {
    position: absolute;
    inset: 0;
    opacity: 0;
    transition: opacity 1.2s ease-in-out;
}

.slide.active {
    opacity: 1;
    z-index: 1;
}

.slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transform: scale(1.1);
    transition: transform 6s ease-in-out;
}

.slide.active img {
    transform: scale(1);
}

.slide::after {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.45);
}

.slide-content {
    position: absolute;
    bottom: 30%;
    left: 5%;
    color: white;
    width: 100%;
    height: auto;
    z-index: 3;
    opacity: 0;
    transform: translateY(30px);
    transition: all 1s ease-in-out;
}

.slide.active .slide-content {
    opacity: 1;
    transform: translateY(0);
}

.slide-content h2 {
    font-size: 2rem;
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 4px;
}

.slide-content p {
    font-size: 1.1em;
    line-height: 1.6;
    letter-spacing: 4px;
}

.indicators button {
    width: 12px;
    height: 12px;
    border-radius: 50%;
    border: none;
    background: rgba(255, 255, 255, 0.4);
    cursor: pointer;
    transition: 0.3s;
}

.indicators button.active {
    background: white;
    transform: scale(1.2);
}



/* =========================================================
   RESPONSIVIDADE
   Base atual = desktop
   Breakpoints:
   - Notebook/PC grande: 1200px+
   - Notebook: até 1199px
   - Tablet: até 991px
   - Celular: até 767px
   - Celular pequeno: até 480px
========================================================= */


/* =========================================================
   CELULAR PEQUENO (<= 900px)
========================================================= */
@media (max-width: 900px) {

    .slide-content {
            width: 90%;
            height: 10vh;
            left: 5%;
        }
    
        .slide-content h2 {
            overflow-wrap: break-word;
        }
    
        .slide-content p {
            overflow-wrap: break-word;
        }

}

/* =========================================================
   CELULAR PEQUENO (<= 768px)
========================================================= */
@media (max-width:768px) {

    .slide-content {
        width: 90%;
        height: 10vh;
        left: 5%;
    }

    .slide-content h2 {
        overflow-wrap: break-word;
    }

    .slide-content p {
        overflow-wrap: break-word;
    }

}


/* =========================================================
   CELULAR PEQUENO (<= 480px)
========================================================= */
@media (max-width:480px) {
    .slide-content {
        width: 90%;
        height: 30vh;
        left: 5%;
    }

    .slide-content h2 {
        overflow-wrap: break-word;
    }

    .slide-content p {
        overflow-wrap: break-word;
    }

}



